Package org.jfree.layouting

## Class DefaultLayoutProcess

- java.lang.Object
- - org.jfree.layouting.AbstractLayoutProcess
  - - org.jfree.layouting.DefaultLayoutProcess

- All Implemented Interfaces:
    `LayoutProcess`

      public class DefaultLayoutProcess
      extends AbstractLayoutProcess

  Creation-Date: 10.11.2006, 15:16:40
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `DefaultLayoutProcess.DefaultLayoutProcessState` |

    - ### Nested classes/interfaces inherited from class org.jfree.layouting.AbstractLayoutProcess

      `AbstractLayoutProcess.AbstractLayoutProcessState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultLayoutProcess​(OutputProcessor outputProcessor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected InputFeed` | `createInputFeed​()` |
    `LayoutProcessState` | `saveState​()` |

    - ### Methods inherited from class org.jfree.layouting.AbstractLayoutProcess

      `getDocumentContext, getInputFeed, getNormalizer, getOutputMetaData, getOutputProcessor, getResourceManager, getStyleResolver, isPagebreakEncountered, pageBreakEncountered`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLayoutProcess

          public DefaultLayoutProcess​(OutputProcessor outputProcessor)

  - ### Method Detail

    - #### createInputFeed

          protected InputFeed createInputFeed​()

      Specified by:
        `createInputFeed` in class `AbstractLayoutProcess`

    - #### saveState

          public LayoutProcessState saveState​()
                                       throws StateException

      Throws:
        `StateException`